Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78983 - stock quotes do not work with the default installation
Summary: stock quotes do not work with the default installation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnucash
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 11:08 UTC by David Monniaux
Modified: 2014-03-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-28 22:21:16 UTC


Attachments (Terms of Use)

Description David Monniaux 2002-12-04 11:08:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When asking to retrieve stock quotes (Tools -> Price editor -> Get quotes),
gnucash dies with a SIGPIPE. The reason is that the Finance::Quote Perl module
is not installed (which is done either by running update-finance-quote or
getting it manually from CPAN).

gnucash should NOT get killed by such a problem - it should display a meaningful
error message.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run gnucash
2.Creation a foreign currency account (say, currency = USD, security = EUR)
3.Tools -> Price editor -> Get quotes


Actual Results:  gnucash dies with SIGPIPE.

Expected Results:  gnucash should have:
- either fetched the currency information from the WWW (possible if
Finance::Quote is installed)
- either complained about Finance::Quote not being installed.

Additional info:

The problem is fixed by running update-finance-quote or installing manually
Finance::Quote from CPAN.

Comment 1 Jeff Morriss 2003-05-11 02:51:52 UTC
In RedHat Linux 9, gnucash no longer crashes when requesting stock quotes--but
it does ask you to run 'update-finance-quote' to get Finance::Quote.  (It seems
to me that this module should be available as an RPM from RedHat--I'm currently
searching for one, but no luck yet...)

Comment 2 Bill Nottingham 2005-01-28 22:21:16 UTC
Closing bugs from older, end-of-life releases. Apologies for any lack of response.

Please attempt to reproduce problems on a current distro, such as Fedora Core 3.



Note You need to log in before you can comment on or make changes to this bug.